%global fontname oflb-pierce
%global fontconf 63-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        0.2.0
Release:        2.20110730%{?dist}
Summary:        Pierce font family
License:        OFL

URL:            http://openfontlibrary.org/en/font/pierce
Source0:        http://openfontlibrary.org/assets/downloads/pierce/2c9409aaecfcadc09f38ff3bd5d4638d/pierce.zip
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Sharp edged but rounded. Serifs are replaced by points

%prep
%setup -q -c %{name}-%{version}
chmod 0644 *.txt
for txt in *.txt ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.otf
%doc *.txt *.pdf *sfd
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Thu Feb 05 2015 Carlos Morel-Riquelme <empateinfinito@gmail.com> - 0.2.0-2.20110730
- Fix metainfo.xml
 
* Thu Feb 05 2015 Carlos Morel-Riquelme <empateinfinito@gmail.com> - 0.2.0-1.20110730
- Initial version
- Add metainfo file to show this font in gnome-software


